package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.VMerchantBillDay;
import org.dromara.payment.merchant.domain.vo.VMerchantBillDayVo;
import org.dromara.payment.merchant.domain.bo.VMerchantBillDayBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 商户日账单汇总表Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IVMerchantBillDayService {

    /**
     * 查询商户日账单汇总表
     */
    VMerchantBillDayVo queryById(Long merId);

    /**
     * 查询商户日账单汇总表列表
     */
    TableDataInfo<VMerchantBillDayVo> queryPageList(VMerchantBillDayBo bo, PageQuery pageQuery);

    /**
     * 查询商户日账单汇总表列表
     */
    List<VMerchantBillDayVo> queryList(VMerchantBillDayBo bo);

    /**
     * 新增商户日账单汇总表
     */
    Boolean insertByBo(VMerchantBillDayBo bo);

    /**
     * 修改商户日账单汇总表
     */
    Boolean updateByBo(VMerchantBillDayBo bo);

    /**
     * 校验并批量删除商户日账单汇总表信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
